## org.apache.mahout.math.hadoop.similarity
Class SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.mahout.math.hadoop.similarity.SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator, org.apache.hadoop.io.RawComparator

Enclosing class:
  SimilarityMatrixEntryKey

    public static class SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator

extends org.apache.hadoop.io.WritableComparator
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator()`

Method Summary
`protected static int` `compare(double a, double b)`
`protected static int` `compare(long a, long b)`
`int` `compare(org.apache.hadoop.io.WritableComparable a, org.apache.hadoop.io.WritableComparable b)`

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compare, compareBytes, define, get, getKeyClass, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator

    protected SimilarityMatrixEntryKey.SimilarityMatrixEntryKeyComparator()

Method Detail

### compare

    public int compare(org.apache.hadoop.io.WritableComparable a,
                       org.apache.hadoop.io.WritableComparable b)

  Overrides:
    `compare` in class `org.apache.hadoop.io.WritableComparator`

### compare

    protected static int compare(long a,
                                 long b)

### compare

    protected static int compare(double a,
                                 double b)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.